import { PageType, StrAnyObj } from '@/typings'
import request from '@/utils/request'

export function getPageApi(params: StrAnyObj): Promise<PageType<StrAnyObj>> {
  return request.get('/logException/getPage', params)
}

export function getDetailApi(params: StrAnyObj): Promise<StrAnyObj> {
  return request.get('/logException/getDetail', params)
}

export function deleteApi(data: StrAnyObj): Promise<void> {
  return request.post('/logException/delete', data)
}
